Subject: Another DVD

From: [email-masked]
Date: Mon, 7 Aug 2006 16:21:15 EDT

Hi, David,
I need to order another DVD (this will make a total of 2) of Michael Newdow's 
talk at the Humanist Community Forum, Sunday 8/6/06. I hope it will be OK for 
me to pay you when I see you next time. Do let me know if I need to make 
other arrangements. Thank you!
Catherine Bishop